/*
    Copyright (C) 2004  [Jrg Rdenauer]
    
    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation; either version 2
    of the License, or (at your option) any later version.
    
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
    
    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
    
*/
package fdda.dialog;

/**
 * Defines the possible commands in the option dialog.
 * @author Jrg Rdenauer
 */
public interface OptionsCommands {
  
  /** command: change the system writer plug-in*/
  int CHANGE_SYSTEM_WRITER = 1;
  /** command: change the system reader plug-in */
  int CHANGE_SYSTEM_READER = 2;
  /** command: change the algorithm reader plug-in */
  int CHANGE_ALGORITHM_READER = 5;
  /** command: configure the system reader plug-in */
  int SHOW_SYSTEM_READER_CONFIG = 3;
  /** command: configure the system writer plug-in */
  int SHOW_SYSTEM_WRITER_CONFIG = 4;
  /** command: configure the algorithm reader plug-in */
  int SHOW_ALG_READER_CONFIG = 6;

}
